# PVXMLPlayable Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayable:

List of all members.

## Public Member Functions

| PVXMLPlayable ()
virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
virtual bool | OnStart ()=0
virtual bool | OnRepeat ()
virtual bool | OnDelay ()
virtual void | OnStop ()
virtual void | SetRepeat (PINDEX v)
virtual PINDEX | GetRepeat () const
virtual PINDEX | GetDelay () const
void | SetFormat (const PString &fmt)
void | SetSampleFrequency (unsigned rate)

## Protected Attributes

PVXMLChannel * | m_vxmlChannel
PChannel * | m_subChannel
PINDEX | m_repeat
PINDEX | m_delay
PString | m_format
unsigned | m_sampleFrequency
bool | m_autoDelete
bool | m_delayDone

## Constructor & Destructor Documentation

PVXMLPlayable::PVXMLPlayable | ( |  | ) |

## Member Function Documentation

virtual PINDEX PVXMLPlayable::GetDelay | ( |  | ) | const`[inline, virtual]`

virtual PINDEX PVXMLPlayable::GetRepeat | ( |  | ) | const`[inline, virtual]`

virtual bool PVXMLPlayable::OnDelay | ( |  | ) | `[virtual]`

virtual bool PVXMLPlayable::OnRepeat | ( |  | ) | `[virtual]`

Reimplemented in PVXMLPlayableData, PVXMLPlayableFile, and PVXMLPlayableFileList.

virtual bool PVXMLPlayable::OnStart | ( |  | ) | `[pure virtual]`

Implemented in PVXMLPlayableStop, PVXMLPlayableURL, PVXMLPlayableData, PVXMLPlayableCommand, PVXMLPlayableFile, and PVXMLPlayableFileList.

virtual void PVXMLPlayable::OnStop | ( |  | ) | `[virtual]`

Reimplemented in PVXMLPlayableCommand, PVXMLPlayableFile, and PVXMLPlayableFileList.

virtual PBoolean PVXMLPlayable::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete |
| ) |  |  | `[virtual]`

Reimplemented in PVXMLPlayableURL, PVXMLPlayableData, PVXMLPlayableTone, PVXMLPlayableCommand, PVXMLPlayableFile, and PVXMLPlayableFileList.

void PVXMLPlayable::SetFormat | ( | const PString & | fmt | ) | `[inline]`

virtual void PVXMLPlayable::SetRepeat | ( | PINDEX | v | ) | `[inline, virtual]`

void PVXMLPlayable::SetSampleFrequency | ( | unsigned | rate | ) | `[inline]`

## Member Data Documentation

bool PVXMLPlayable::m_autoDelete `[protected]`

PINDEX PVXMLPlayable::m_delay `[protected]`

bool PVXMLPlayable::m_delayDone `[protected]`

PString PVXMLPlayable::m_format `[protected]`

PINDEX PVXMLPlayable::m_repeat `[protected]`

unsigned PVXMLPlayable::m_sampleFrequency `[protected]`

PChannel* PVXMLPlayable::m_subChannel `[protected]`

PVXMLChannel* PVXMLPlayable::m_vxmlChannel `[protected]`

The documentation for this class was generated from the following file:

- vxml.h